Bug 219248 - IBM DST 2007 fix not present in RHEL-packaged IBM-java
IBM DST 2007 fix not present in RHEL-packaged IBM-java
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 23:27 EST by David Carlson
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: 1.4.2.6-1jpp.2.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 11:37:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
daylight savings time test (public domain) (869 bytes, text/x-java)
2006-12-11 23:27 EST, David Carlson
no flags Details

  None (edit)
Description David Carlson 2006-12-11 23:27:41 EST
Description of problem:
The US changed its energy policy to have wider Daylight Savings Time.  This is
not yet reflected in the IBM JRE packaged with RHEL.

Version-Release number of selected component (if applicable):
java-1.4.2-ibm-1.4.2.1-1jpp_2rh

How reproducible:


Steps to Reproduce:
1. up2date java-1.4.2-ibm
2. compile attached java snippet (javac unixdst.java)
3. java unixdst
  
Actual results:
Not Compliant : Linux|x86|IBM Corporation|1.4.2
(indicating that the JRE does not conform to the 2007 US DST rules)

Expected results:
Compliant : Linux|x86|IBM Corporation|1.4.2
(indicating that the JRE conforms to the 2007 US DST rules)

Additional info:
IBM's docs:
http://www-1.ibm.com/support/docview.wss?rs=3068&uid=swg21249338
Comment 1 David Carlson 2006-12-11 23:27:41 EST
Created attachment 143358 [details]
daylight savings time test (public domain)
Comment 2 Thomas Fitzsimmons 2006-12-12 09:28:24 EST
We fast-tracked out packages for this issue:

http://rhn.redhat.com/errata/RHBA-2006-0744.html

Note You need to log in before you can comment on or make changes to this bug.